#
# spec file for package FirmwareUpdateKit
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2008 Steffen Winterfeldt
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           FirmwareUpdateKit
Requires:       syslinux genisoimage dosfstools mtools
Summary:        Assist with DOS-based firmware updates
License:        GPL-3.0+
Group:          System/Boot
Version:        1.6
Release:        12.1
Obsoletes:      dosbootdisk
Provides:       dosbootdisk
Source:         FirmwareUpdateKit-1.6.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64

%description
Create a bootable mini-DOS system and add files to it. Useful if you
have to do firmware updates from DOS.

%prep
%setup

%build

%install
  make install DESTDIR=%{buildroot}

%files
%defattr(-,root,root)
/usr/bin/fuk
/usr/share/FirmwareUpdateKit
%doc doc/*

%changelog
* Wed Jun 20 2012 snwint@suse.de
- work around bigint strangeness in perl 5.16 (bnc#766339)
* Tue Mar  6 2012 snwint@suse.de
- added himem driver
- updated to freedos 1.1
* Fri Feb 17 2012 snwint@suse.de
- specify image geometry explicitly
* Fri Feb 17 2012 snwint@suse.de
- fix grub & lilo for small images (bnc#727974)
- added 'free' option to specify extra disk space
- added VERSION & changelog files
- removed dependency on master-boot-code
* Tue Oct 25 2011 snwint@suse.de
- fix iso creation for small firmware files
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Thu Nov 13 2008 ro@suse.de
- add exclusivearch
* Mon Oct  6 2008 snwint@suse.de
- added '--image' and '--run' options
- now really accepts more than one file as arg
* Mon Jun 16 2008 snwint@suse.de
- initial version
